Summary:       X11 environment recorder
Summary(fr):   Enregistreur de l'environnement X11
Name:          Xnee
Version:       3.19
Release:       1%{?dist}

License:       GPLv3+
URL:           http://www.gnu.org/software/xnee/
Source0:       http://ftp.gnu.org/gnu/xnee/xnee-%{version}.tar.gz
Source1:       xnee.desktop

BuildRequires: libXtst-devel
BuildRequires: gtk2-devel
BuildRequires: desktop-file-utils
BuildRequires: chrpath


%description
A suite of programs that can record, replay and distribute
user actions under the X11 environment. Think of it as a
robot that can imitate the job you just did.

%description -l fr
Une suite de programmes pouvant enregistrer, rejouer et distribuer des
actions utilisateur sous l'environnement X11. Semblable à un robot qui
peut imiter le travail que vous venez de faire.


%package libs
Summary:       The shared libraries required for Xnee clients
Summary(fr):   Les bibliothèques standards requises pour les clients Xnee

%description libs
The xnee-lib package provides the essential shared libraries for any
Xnee client program or interface.

%description libs -l fr
Le paquet xnee-libs fourni l'essentiel des bibliothèques pour n'importe
quel client Xnee ou interface.


%package devel
Summary:       Files needed for building applications with libxnee
Summary(fr):   Fichiers nécessaires pour construire des applications avec libxnee
Requires:      Xnee-libs%{?_isa} = %{version}-%{release}

%description devel
The xnee-devel package includes header files and libraries
necessary for developing programs which use the xnee-lib library.

%description devel -l fr
Le paquet xnee-devel inclue les fichiers d'en-tête et bibliothèques
nécessaires au développement des programmes utilisant la bibliothèque
xnee-lib.


%package -n cnee
Summary:       Command-line interface of Xnee
Summary(fr):   Interface en ligne de commande pour Xnee

%description -n cnee
Command-line interface of a suite of programs that can record,
replay and distribute user actions under the X11 environment. Think
of it as a robot that can imitate the job you just did.

%description -n cnee -l fr
Interface en ligne de commande d'une suite de programmes pouvant
enregistrer, rejouer et distribuer des actions utilisateur sous
l'environnement X11. Semblable à un robot qui peut imiter le travail
que vous venez de faire.


%prep
%setup -qn xnee-%{version}
# For rpmlint warnings of debuginfo package :
find . \( -name "*.h" -o -name "*.c" \) -exec chmod a-x {} \;


%build
# Don't build Pnee (gnome-panel-applet) because builddep is broken :
%configure --disable-gnome-applet      \
           --enable-gui                \
           --enable-lib                \
           --enable-static=no          \
           --enable-static-programs=no
make %{?_smp_mflags}


%install
make DESTDIR=%{buildroot} install
# Delete statics librairies :
rm -f %{buildroot}%{_libdir}/*.la
# Install xnee.desktop :
desktop-file-install --dir=%{buildroot}%{_datadir}/applications \
%{SOURCE1}
# Install xnee-devel files with "chmod a-x *.h" :
mkdir -p %{buildroot}%{_includedir}/libxnee/
install -pm 644 libxnee/include/libxnee/*.h %{buildroot}%{_includedir}/libxnee/
# Delete rpaths :
chrpath --delete %{buildroot}%{_bindir}/gnee               \
                 %{buildroot}%{_bindir}/cnee               \
                 %{buildroot}%{_libdir}/libtestcb.so.*
# Rpmlint warning of xnee package. File absolutely useless. Built from simple_bash.sh.in1 :
rm -f %{buildroot}%{_datadir}/xnee/simple_bash.sh


%check
make check
make test


%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%{_bindir}/gnee
%{_datadir}/pixmaps/xnee.png
%{_datadir}/pixmaps/xnee.xpm
%{_datadir}/applications/xnee.desktop
%{_datadir}/xnee/
%{_mandir}/man1/gnee.1*
%{_mandir}/man1/xnee.1*

%files libs
%doc AUTHORS BUGS COPYING EXAMPLES FAQ NEWS TODO ChangeLog doc/xnee.pdf
%{_libdir}/libxnee.so.*
%{_libdir}/libtestcb.so.*

%files devel
%{_libdir}/libxnee.so
%{_libdir}/libtestcb.so
%{_includedir}/libxnee/

%files -n cnee
%{_bindir}/cnee
%{_mandir}/man1/cnee.1*


%changelog
* Wed Jul 30 2014 Matthieu Saulnier <fantom@fedoraproject.org> - 3.19-1
- Update to 3.19
- Fix spelling-error in summary and description
- Fix bogus date in %%changelog section in spec file

* Tue Feb 12 2013 Matthieu Saulnier <fantom@fedoraproject.org> - 3.15-2
- Add test suite in %%check section
- Undo previous fix devel subpackage requires

* Mon Feb 04 2013 Matthieu Saulnier <fantom@fedoraproject.org> - 3.15-1
- Update to 3.15
- Fix devel subpackage requires 
- Cleanup in %%install section

* Thu Jan 10 2013 Matthieu Saulnier <fantom@fedoraproject.org> - 3.14-1
- Update to 3.14

* Thu Aug 16 2012 Matthieu Saulnier <fantom@fedoraproject.org> - 3.13-2
- Add French translation in spec file

* Thu Jun 21 2012 Matthieu Saulnier <fantom@fedoraproject.org> 3.13-1
- update to 3.13 version
- remove "Group" tag in spec file

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Dec 19 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.11-1
- update to 3.11
- URL for download sources has been changed

* Mon Dec 12 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.10.93-1
- update to 3.10.93

* Thu Dec 01 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.10.91-1
- update to 3.10.91

* Thu Nov 24 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.10.90-1.1
- remove name macro in removing bash_bash.sh line

* Thu Nov 24 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.10.90-1
- update to 3.10.90 version
- remove "defattr" lines in spec file

* Tue Nov 22 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.10-8
- fix AutoQA

* Tue Nov 22 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.10-7
- rename "xnee" to "Xnee"

* Fri Nov 04 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.10-6
- move doc files in libs package

* Thu Nov 03 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.10-5
- minor cleanup spec file

* Sat Oct 22 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.10-4
- delete simple_bash.sh file

* Thu Oct 20 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.10-3
- add libtestcb in xnee-libs package
- clean up spec file

* Sun Oct 16 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.10-2
- add COPYING in libs package

* Tue Aug 23 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.10-1
- update to 3.10 version

* Sat Aug 06 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.09-1
- clean up spec file

* Fri Aug 05 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.09-1
- add header in libxnee-devel

* Wed Aug 03 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.09-1
- add cnee subpackage

* Sun Jul 31 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.09-1
- add libxnee and libxnee-devel subpackages

* Thu Jul 28 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.09-1
- minor specfile cleanup

* Wed Jul 27 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.09-1
- clean up spec file

* Thu Jun 23 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.09-1
- initial RPM
